Bug 1013264 - Cannot browse Windows/Samba printers
Summary: Cannot browse Windows/Samba printers
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 19
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-09-28 21:34 UTC by Jyrki Tikka
Modified: 2013-11-10 07:44 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-11-06 07:39:10 UTC


Attachments (Terms of Use)

Description Jyrki Tikka 2013-09-28 21:34:51 UTC
Description of problem:

When you try to browse Windows or Samba printers and select the desired printer, the error

TypeError: smb_select_function() takes exactly 5 arguments (6 given)

is written to the console and the printer is not selected.


Version-Release number of selected component (if applicable):

1.4.2-1.fc19


How reproducible: always


Steps to Reproduce:
1. open system-config-printer
2. press "Add"
3. select "Windows printer via SAMBA"
4. press "Browse..."
5. browse to the printer queue
6. select the printer


Actual results:

Printer not selected, error message on console


Expected results:

Printer selected and the appropriate string written to the input field


Additional info:

Workaround: write the server and queue names to the input field

I ran into this problem at https://ask.fedoraproject.org/question/33029/cannot-install-samba-printer/ and verified the behaviour on my own systems

Comment 2 Fedora Update System 2013-10-22 16:55:38 UTC
system-config-printer-1.4.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.3-1.fc20

Comment 3 Fedora Update System 2013-10-22 16:57:56 UTC
system-config-printer-1.4.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.3-1.fc19

Comment 4 Fedora Update System 2013-10-23 03:30:39 UTC
Package system-config-printer-1.4.3-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.3-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19726/system-config-printer-1.4.3-1.fc19
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-11-06 07:39:10 UTC
system-config-printer-1.4.3-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-11-10 07:44:08 UTC
system-config-printer-1.4.3-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.